Author Topic: Unable to update: The package is broken  (Read 23175 times)

0 Members and 1 Guest are viewing this topic.

Offline travel7

  • Newbie
  • *
  • Posts: 5
Unable to update: The package is broken
« on: February 07, 2012, 01:50:52 AM »
My problem:

Avast Free 6.0 (6.0.1367) will not update the virus definitions of the program. 
Last update version: 120204-1

I get an error message for saying "the package is broken".

Current registration will expire on 2/3/2013.  Just updated to newest version 3 days ago.
Manual update does not work either.

I tried different proxy settings as well.  Still unable to update?

How do I get it to update again?
 ???

Offline DavidR

  • Avast Überevangelist
  • Certainly Bot
  • *****
  • Posts: 71107
  • No support PMs thanks
Re: Unable to update: The package is broken
« Reply #1 on: February 07, 2012, 02:03:05 AM »
Trying different proxy settings are unlikely to resolve this and more likely to cause issues as and when it is resolved. The best setting is Direct Connection (no proxy), image.

Try a repair of avast:
XP - Add Remove programs, select 'avast! Anti-Virus,' click the Change/Remove button and scroll down to Repair, click next and follow.

Vista, win7 - Control Panel, Programs & Features, uninstall a program, select 'avast! Anti-Virus,' click the Change/Remove button and scroll down to Repair, click next and follow.

You may need to reboot after the repair.
Core2Duo E8300/ 4GB Ram/ WinXP ProSP3/ avast! free 2015 SP1 10.2.2213 R2 RC2/ Outpost Firewall Pro9.1/ Firefox 36.0, NoScript, RequestPolicy/ MailWasher Pro/ DropMyRights/ MalwareBytes AntiMalware Premium 2.0.4/ WinPatrol+/ Drive Image 7.1/ SnagIt 10.0/ avast! mobile security

Offline travel7

  • Newbie
  • *
  • Posts: 5
Re: Unable to update: The package is broken
« Reply #2 on: February 07, 2012, 02:09:18 AM »
Thank you.

My proxy is set to direct connection.

I tried to repair (I have Vista) but I got the following error:

"Error processing packages.
Please use full update."

Should I uninstall AVAST and reinstall it again maybe?
« Last Edit: February 07, 2012, 02:13:09 AM by travel7 »

Offline Coolmario88

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 1297
  • Bronies make the web go round
Re: Unable to update: The package is broken
« Reply #3 on: February 07, 2012, 02:27:45 AM »
I would say you can try uninstalling and reinstalling.  But i would wait to see what the others on the forum say :)


Edited: Have you tried to reset avast to default settings?   You can do this by open avast> click settings> click Troubleshooting >  The reset avast to default settings would be listed as Restore factory defaults
« Last Edit: February 07, 2012, 02:30:32 AM by Coolmario88cp »
OS: Windows 8.1 64-bit
Avast Version: Avast free 2015.10.0.2208
Webbrowser: Internet Explorer 11, Firefox 34

Offline travel7

  • Newbie
  • *
  • Posts: 5
Re: Unable to update: The package is broken
« Reply #4 on: February 07, 2012, 03:24:05 AM »
Resetting to default setting and restarting the PC did not make a difference either.
 :-[

Offline DavidR

  • Avast Überevangelist
  • Certainly Bot
  • *****
  • Posts: 71107
  • No support PMs thanks
Re: Unable to update: The package is broken
« Reply #5 on: February 07, 2012, 03:40:33 AM »
<snip>
I tried to repair (I have Vista) but I got the following error:
"Error processing packages.
Please use full update."

Try the Manual update of VPS - avast! Virus Definitions Update - Manual Download VPS Update (virus definitions, vpsupd.exe, approx 31MB). - Save the file to your hard disk, locate where you saved it and double click it and that should carry out the virus definitions update.

Note: Ignore the file name in the images of the page that is displayed after clicking the download link, they are for the main program, not for vpsupd.exe which will be downloaded.

If that doesn't resolve it then a reinstall is the next option, uninstall, reboot install.
Core2Duo E8300/ 4GB Ram/ WinXP ProSP3/ avast! free 2015 SP1 10.2.2213 R2 RC2/ Outpost Firewall Pro9.1/ Firefox 36.0, NoScript, RequestPolicy/ MailWasher Pro/ DropMyRights/ MalwareBytes AntiMalware Premium 2.0.4/ WinPatrol+/ Drive Image 7.1/ SnagIt 10.0/ avast! mobile security

Offline travel7

  • Newbie
  • *
  • Posts: 5
Re: Unable to update: The package is broken
« Reply #6 on: February 07, 2012, 04:00:13 AM »
Thank you.

Okay, downloaded and installed the VPS Update.

It says it updated the definitions and that they are now up to date, however, in the summary page of AVAST it STILL says: Virus definitions version 120204-1 ?!?




Offline ady4um

  • Massive Poster
  • ****
  • Posts: 2672
Re: Unable to update: The package is broken
« Reply #7 on: February 07, 2012, 09:37:49 AM »
Reboot to see the changes take effect.
ADD/REMOVE PROGS -> avast -> CHANGE/REMOVE -> REPAIR & REBOOT
Avast! 7 FAQ | FAQ & KB | Docs | Removal Utils | Configure Mail Shield | report FP | License Registration | UNSECURED?

Offline DavidR

  • Avast Überevangelist
  • Certainly Bot
  • *****
  • Posts: 71107
  • No support PMs thanks
Re: Unable to update: The package is broken
« Reply #8 on: February 07, 2012, 02:06:02 PM »
As said a reboot should resolve that.

If not try the repair again as I suggested before, as this has in the past resolved this out of sync issue between reported and actual VPS version.
Core2Duo E8300/ 4GB Ram/ WinXP ProSP3/ avast! free 2015 SP1 10.2.2213 R2 RC2/ Outpost Firewall Pro9.1/ Firefox 36.0, NoScript, RequestPolicy/ MailWasher Pro/ DropMyRights/ MalwareBytes AntiMalware Premium 2.0.4/ WinPatrol+/ Drive Image 7.1/ SnagIt 10.0/ avast! mobile security

Offline travel7

  • Newbie
  • *
  • Posts: 5
Re: Unable to update: The package is broken
« Reply #9 on: February 08, 2012, 02:43:00 AM »
Thank you everyone!

Avast is updating again!
:)

I greatly appreciate your support and patience.


Offline DavidR

  • Avast Überevangelist
  • Certainly Bot
  • *****
  • Posts: 71107
  • No support PMs thanks
Re: Unable to update: The package is broken
« Reply #10 on: February 08, 2012, 02:57:32 AM »
You're welcome.
Core2Duo E8300/ 4GB Ram/ WinXP ProSP3/ avast! free 2015 SP1 10.2.2213 R2 RC2/ Outpost Firewall Pro9.1/ Firefox 36.0, NoScript, RequestPolicy/ MailWasher Pro/ DropMyRights/ MalwareBytes AntiMalware Premium 2.0.4/ WinPatrol+/ Drive Image 7.1/ SnagIt 10.0/ avast! mobile security

Offline Coolmario88

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 1297
  • Bronies make the web go round
Re: Unable to update: The package is broken
« Reply #11 on: February 08, 2012, 03:08:05 AM »
Thank you everyone!

Avast is updating again!
:)

I greatly appreciate your support and patience.
You're Welcome. :)
OS: Windows 8.1 64-bit
Avast Version: Avast free 2015.10.0.2208
Webbrowser: Internet Explorer 11, Firefox 34

Offline tmannis

  • Newbie
  • *
  • Posts: 2
Easy Fix for: The package is broken
« Reply #12 on: July 16, 2013, 06:39:20 PM »
 ;D SUPER EASY FIX: I had this error message, too, on July 16, 2013 and fixed it without re-installing or anything complicated. Here's how: In Maintenance/Update, I simply clicked on the "Update Program" button. THAT DID IT!  :D I had Program Version: 8.0.1489.0 when I clicked. The result: the PV was already up to date, BUT it updated the Engine and Virus defintions (I went from Version 130715-0 to Version 130716-0). Hooray!